var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

// css code
require('./main-js');
require('./main-css');
require('./page-guide.scss'); // extra scss for the tutorial

// js code
import React from 'react';
import ReactDom from 'react-dom';
const createReactClass = React.createClass;

import { Accordion, Alert, Badge, Breadcrumb, BreadcrumbItem, Button, ButtonGroup, ButtonToolbar, Carousel, CarouselItem, Checkbox, Clearfix, CloseButton, ControlLabel, Col, Collapse, Dropdown, DropdownButton, Fade, Form, FormControl, FormGroup, Glyphicon, Grid, HelpBlock, Image, InputGroup, Jumbotron, Label, ListGroup, ListGroupItem, Media, MenuItem, Modal, ModalBody, ModalFooter, ModalHeader, ModalTitle, Nav, Navbar, NavbarBrand, NavDropdown, NavItem, Overlay, OverlayTrigger, PageHeader, PageItem, Pager, Pagination, PaginationButton, Panel, PanelGroup, Popover, ProgressBar, Radio, ResponsiveEmbed, Row, SafeAnchor, SplitButton, Tab, TabContainer, TabContent, Table, TabPane, Tabs, Thumbnail, Tooltip, Well } from 'react-bootstrap';

// mount node
const mountNode = document.getElementById('app-container');

// examples...
let exampleDoms = [];

// function to get the dom...
const _getExampleDom = (elmTitle, elmContent, elmSnippet) => {
  return React.createElement(
    Panel,
    { header: elmTitle, footer: elmSnippet },
    elmContent
  );
};

const _pushExampleDom = (elmTitle, elmContent, elmSnippet) => {
  exampleDoms.push(_getExampleDom(elmTitle, elmContent, elmSnippet));
};

const _getExampleDomList = () => {
  // function that handle the mapping
  let counter = 0;
  return exampleDoms.map(curDom => {
    counter++;
    return React.createElement(
      'div',
      { key: counter },
      curDom
    );
  });
};

const __getMenuItems = () => {
  return [React.createElement(
    MenuItem,
    { eventKey: '1', key: '1' },
    'item 1'
  ), React.createElement(
    MenuItem,
    { eventKey: '2', key: '2' },
    'item 2'
  ), React.createElement(MenuItem, { divider: true, key: '0' }), React.createElement(
    MenuItem,
    { eventKey: '3', key: '3' },
    'item 3'
  )];
};

//////////////////////
//////////////////////
// example start here
//////////////////////
//////////////////////

// _pushExampleDom(
//     'Button',
//     (
//         <article>
//         </article>
//     ),
//     '<Button bsStyle="..." bsSize="..." [active|disabled]>Button Text</Button>'
// )

_pushExampleDom('Button', React.createElement(
  'article',
  null,
  React.createElement(
    'h3',
    null,
    'Button Sizes'
  ),
  React.createElement(
    'table',
    null,
    React.createElement(
      'tbody',
      null,
      React.createElement(
        'tr',
        null,
        React.createElement('td', { className: 'some-padding' }),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Badge,
            null,
            'bsStyle'
          ),
          React.createElement(
            'span',
            { className: 'flag-value' },
            'primary'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Badge,
            null,
            'bsStyle'
          ),
          React.createElement(
            'span',
            { className: 'flag-value' },
            'success'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Badge,
            null,
            'bsStyle'
          ),
          React.createElement(
            'span',
            { className: 'flag-value' },
            'info'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Badge,
            null,
            'bsStyle'
          ),
          React.createElement(
            'span',
            { className: 'flag-value' },
            'warning'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Badge,
            null,
            'bsStyle'
          ),
          React.createElement(
            'span',
            { className: 'flag-value' },
            'danger'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Badge,
            null,
            'bsStyle'
          ),
          React.createElement(
            'span',
            { className: 'flag-value' },
            'link'
          )
        )
      ),
      React.createElement(
        'tr',
        null,
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Badge,
            null,
            'bsSize'
          ),
          React.createElement(
            'span',
            { className: 'flag-value' },
            'large'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Button,
            { bsStyle: 'primary', bsSize: 'large' },
            'primary'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Button,
            { bsStyle: 'success', bsSize: 'large' },
            'success'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Button,
            { bsStyle: 'info', bsSize: 'large' },
            'info'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Button,
            { bsStyle: 'warning', bsSize: 'large' },
            'warning'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Button,
            { bsStyle: 'danger', bsSize: 'large' },
            'danger'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Button,
            { bsStyle: 'link', bsSize: 'large' },
            'link'
          )
        )
      ),
      React.createElement(
        'tr',
        null,
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Badge,
            null,
            'bsSize'
          ),
          React.createElement(
            'span',
            { className: 'flag-value' },
            'DEFAULT'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Button,
            { bsStyle: 'primary' },
            'primary'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Button,
            { bsStyle: 'success' },
            'success'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Button,
            { bsStyle: 'info' },
            'info'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Button,
            { bsStyle: 'warning' },
            'warning'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Button,
            { bsStyle: 'danger' },
            'danger'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Button,
            { bsStyle: 'link' },
            'link'
          )
        )
      ),
      React.createElement(
        'tr',
        null,
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Badge,
            null,
            'bsSize'
          ),
          React.createElement(
            'span',
            { className: 'flag-value' },
            'small'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Button,
            { bsStyle: 'primary', bsSize: 'small' },
            'primary'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Button,
            { bsStyle: 'success', bsSize: 'small' },
            'success'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Button,
            { bsStyle: 'info', bsSize: 'small' },
            'info'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Button,
            { bsStyle: 'warning', bsSize: 'small' },
            'warning'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Button,
            { bsStyle: 'danger', bsSize: 'small' },
            'danger'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Button,
            { bsStyle: 'link', bsSize: 'small' },
            'link'
          )
        )
      ),
      React.createElement(
        'tr',
        null,
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Badge,
            null,
            'bsSize'
          ),
          React.createElement(
            'span',
            { className: 'flag-value' },
            'xsmall'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Button,
            { bsStyle: 'primary', bsSize: 'xsmall' },
            'primary'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Button,
            { bsStyle: 'success', bsSize: 'xsmall' },
            'success'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Button,
            { bsStyle: 'info', bsSize: 'xsmall' },
            'info'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Button,
            { bsStyle: 'warning', bsSize: 'xsmall' },
            'warning'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Button,
            { bsStyle: 'danger', bsSize: 'xsmall' },
            'danger'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Button,
            { bsStyle: 'link', bsSize: 'xsmall' },
            'link'
          )
        )
      )
    )
  ),
  React.createElement(
    'h3',
    null,
    'Button States'
  ),
  React.createElement(
    'table',
    null,
    React.createElement(
      'tbody',
      null,
      React.createElement(
        'tr',
        null,
        React.createElement('td', { className: 'some-padding' }),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Badge,
            null,
            'bsStyle'
          ),
          React.createElement(
            'span',
            { className: 'flag-value' },
            'primary'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Badge,
            null,
            'bsStyle'
          ),
          React.createElement(
            'span',
            { className: 'flag-value' },
            'success'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Badge,
            null,
            'bsStyle'
          ),
          React.createElement(
            'span',
            { className: 'flag-value' },
            'info'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Badge,
            null,
            'bsStyle'
          ),
          React.createElement(
            'span',
            { className: 'flag-value' },
            'warning'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Badge,
            null,
            'bsStyle'
          ),
          React.createElement(
            'span',
            { className: 'flag-value' },
            'danger'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Badge,
            null,
            'bsStyle'
          ),
          React.createElement(
            'span',
            { className: 'flag-value' },
            'link'
          )
        )
      ),
      React.createElement(
        'tr',
        null,
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Badge,
            null,
            'DEFAULT'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Button,
            { bsStyle: 'primary', bsSize: 'large' },
            'primary'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Button,
            { bsStyle: 'success', bsSize: 'large' },
            'success'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Button,
            { bsStyle: 'info', bsSize: 'large' },
            'info'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Button,
            { bsStyle: 'warning', bsSize: 'large' },
            'warning'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Button,
            { bsStyle: 'danger', bsSize: 'large' },
            'danger'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Button,
            { bsStyle: 'link', bsSize: 'large' },
            'link'
          )
        )
      ),
      React.createElement(
        'tr',
        null,
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Badge,
            null,
            'active'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Button,
            { bsStyle: 'primary', active: true },
            'primary'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Button,
            { bsStyle: 'success', active: true },
            'success'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Button,
            { bsStyle: 'info', active: true },
            'info'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Button,
            { bsStyle: 'warning', active: true },
            'warning'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Button,
            { bsStyle: 'danger', active: true },
            'danger'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Button,
            { bsStyle: 'link', active: true },
            'link'
          )
        )
      ),
      React.createElement(
        'tr',
        null,
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Badge,
            null,
            'disabled'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Button,
            { bsStyle: 'primary', bsSize: 'small', disabled: true },
            'primary'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Button,
            { bsStyle: 'success', bsSize: 'small', disabled: true },
            'success'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Button,
            { bsStyle: 'info', bsSize: 'small', disabled: true },
            'info'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Button,
            { bsStyle: 'warning', bsSize: 'small', disabled: true },
            'warning'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Button,
            { bsStyle: 'danger', bsSize: 'small', disabled: true },
            'danger'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Button,
            { bsStyle: 'link', bsSize: 'small', disabled: true },
            'link'
          )
        )
      )
    )
  )
), '<Button bsStyle="..." bsSize="..." [active|disabled]>Button Text</Button>');

_pushExampleDom('DropdownButton and SplitButton', React.createElement(
  'article',
  null,
  React.createElement(
    'table',
    null,
    React.createElement(
      'tbody',
      null,
      React.createElement(
        'tr',
        null,
        React.createElement('td', { className: 'some-padding' }),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Badge,
            null,
            'bsStyle'
          ),
          React.createElement(
            'span',
            { className: 'flag-value' },
            'primary'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Badge,
            null,
            'bsStyle'
          ),
          React.createElement(
            'span',
            { className: 'flag-value' },
            'success'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Badge,
            null,
            'bsStyle'
          ),
          React.createElement(
            'span',
            { className: 'flag-value' },
            'info'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Badge,
            null,
            'bsStyle'
          ),
          React.createElement(
            'span',
            { className: 'flag-value' },
            'warning'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Badge,
            null,
            'bsStyle'
          ),
          React.createElement(
            'span',
            { className: 'flag-value' },
            'danger'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Badge,
            null,
            'bsStyle'
          ),
          React.createElement(
            'span',
            { className: 'flag-value' },
            'link'
          )
        )
      ),
      React.createElement(
        'tr',
        null,
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Badge,
            null,
            'SplitButton'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            SplitButton,
            { bsStyle: 'primary', title: 'primary', id: 'dropdown-exp1-primary' },
            __getMenuItems()
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            SplitButton,
            { bsStyle: 'success', title: 'success', id: 'dropdown-exp1-success' },
            __getMenuItems()
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            SplitButton,
            { bsStyle: 'info', title: 'info', id: 'dropdown-exp1-info' },
            __getMenuItems()
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            SplitButton,
            { bsStyle: 'warning', title: 'warning', id: 'dropdown-exp1-warning' },
            __getMenuItems()
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            SplitButton,
            { bsStyle: 'danger', title: 'danger', id: 'dropdown-exp1-danger' },
            __getMenuItems()
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            SplitButton,
            { bsStyle: 'link', title: 'link', id: 'dropdown-exp1-link' },
            __getMenuItems()
          )
        )
      ),
      React.createElement(
        'tr',
        null,
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Badge,
            null,
            'DropdownButton'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            DropdownButton,
            { bsStyle: 'primary', title: 'primary', id: 'dropdown-exp2-primary' },
            __getMenuItems()
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            DropdownButton,
            { bsStyle: 'success', title: 'success', id: 'dropdown-exp2-success' },
            __getMenuItems()
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            DropdownButton,
            { bsStyle: 'info', title: 'info', id: 'dropdown-exp2-info' },
            __getMenuItems()
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            DropdownButton,
            { bsStyle: 'warning', title: 'warning', id: 'dropdown-exp2-warning' },
            __getMenuItems()
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            DropdownButton,
            { bsStyle: 'danger', title: 'danger', id: 'dropdown-exp2-danger' },
            __getMenuItems()
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            DropdownButton,
            { bsStyle: 'link', title: 'link', id: 'dropdown-exp2-link' },
            __getMenuItems()
          )
        )
      )
    )
  )
), '<SplitButton bsStyle="..."  title="required" id="required">');

_pushExampleDom('ListGroup', React.createElement(
  'article',
  null,
  React.createElement(
    'table',
    null,
    React.createElement(
      'tbody',
      null,
      React.createElement(
        'tr',
        null,
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Badge,
            null,
            'active'
          ),
          ', ',
          React.createElement(
            Badge,
            null,
            'disabled'
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            Badge,
            null,
            'bsStyle'
          )
        )
      ),
      React.createElement(
        'tr',
        null,
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            ListGroup,
            null,
            React.createElement(
              ListGroupItem,
              null,
              'DEFAULT'
            ),
            React.createElement(
              ListGroupItem,
              { active: true },
              'active'
            ),
            React.createElement(
              ListGroupItem,
              { disabled: true },
              'disabled'
            )
          )
        ),
        React.createElement(
          'td',
          { className: 'some-padding' },
          React.createElement(
            ListGroup,
            null,
            React.createElement(
              ListGroupItem,
              null,
              'DEFAULT'
            ),
            React.createElement(
              ListGroupItem,
              { bsStyle: 'success' },
              'success'
            ),
            React.createElement(
              ListGroupItem,
              { bsStyle: 'info' },
              'info'
            ),
            React.createElement(
              ListGroupItem,
              { bsStyle: 'warning' },
              'warning'
            ),
            React.createElement(
              ListGroupItem,
              { bsStyle: 'danger' },
              'danger'
            )
          )
        )
      )
    )
  )
), '<ListGroup>    <ListGroupItem bsStyle="..." [active|disabled]>item 111</ListGroupItem>    </ListGroup>');

const FieldGroup = function (params) {
  const { id, label, help, props } = params;
  return React.createElement(
    FormGroup,
    { controlId: id },
    React.createElement(
      ControlLabel,
      null,
      label
    ),
    React.createElement(FormControl, props),
    help && React.createElement(
      HelpBlock,
      null,
      help
    )
  );
};

_pushExampleDom('Forms', React.createElement(
  'article',
  null,
  React.createElement(
    'h3',
    null,
    'Basic Form Stuffs'
  ),
  React.createElement(
    'form',
    null,
    React.createElement(FieldGroup, {
      id: 'formControlsText',
      type: 'text',
      label: 'Text',
      placeholder: 'Enter text'
    }),
    React.createElement(FieldGroup, {
      id: 'formControlsEmail',
      type: 'email',
      label: 'Email address',
      placeholder: 'Enter email'
    }),
    React.createElement(FieldGroup, {
      id: 'formControlsPassword',
      label: 'Password',
      type: 'password'
    }),
    React.createElement(FieldGroup, {
      id: 'formControlsFile',
      type: 'file',
      label: 'File',
      help: 'Example block-level help text here.'
    }),
    React.createElement(
      Checkbox,
      { checked: true, readOnly: true },
      'Checkbox'
    ),
    React.createElement(
      Radio,
      { checked: true, readOnly: true },
      'Radio'
    ),
    React.createElement(
      FormGroup,
      null,
      React.createElement(
        Checkbox,
        { inline: true },
        '1'
      ),
      ' ',
      React.createElement(
        Checkbox,
        { inline: true },
        '2'
      ),
      ' ',
      React.createElement(
        Checkbox,
        { inline: true },
        '3'
      )
    ),
    React.createElement(
      FormGroup,
      null,
      React.createElement(
        Radio,
        { name: 'radioGroup', inline: true },
        '1'
      ),
      ' ',
      React.createElement(
        Radio,
        { name: 'radioGroup', inline: true },
        '2'
      ),
      ' ',
      React.createElement(
        Radio,
        { name: 'radioGroup', inline: true },
        '3'
      )
    ),
    React.createElement(
      FormGroup,
      { controlId: 'formControlsSelect' },
      React.createElement(
        ControlLabel,
        null,
        'Select'
      ),
      React.createElement(
        FormControl,
        { componentClass: 'select', placeholder: 'select' },
        React.createElement(
          'option',
          { value: 'select' },
          'select'
        ),
        React.createElement(
          'option',
          { value: 'other' },
          '...'
        )
      )
    ),
    React.createElement(
      FormGroup,
      { controlId: 'formControlsSelectMultiple' },
      React.createElement(
        ControlLabel,
        null,
        'Multiple select'
      ),
      React.createElement(
        FormControl,
        { componentClass: 'select', multiple: true },
        React.createElement(
          'option',
          { value: 'select' },
          'select (multiple)'
        ),
        React.createElement(
          'option',
          { value: 'other' },
          '...'
        )
      )
    ),
    React.createElement(
      FormGroup,
      { controlId: 'formControlsTextarea' },
      React.createElement(
        ControlLabel,
        null,
        'Textarea'
      ),
      React.createElement(FormControl, { componentClass: 'textarea', placeholder: 'textarea' })
    ),
    React.createElement(
      FormGroup,
      null,
      React.createElement(
        ControlLabel,
        null,
        'Static text'
      ),
      React.createElement(
        FormControl.Static,
        null,
        'email@example.com'
      )
    ),
    React.createElement(
      Button,
      { type: 'submit' },
      'Submit'
    )
  ),
  React.createElement(
    'h3',
    null,
    'Validation State'
  ),
  React.createElement(
    'form',
    null,
    React.createElement(
      FormGroup,
      { controlId: 'formValidationSuccess1', validationState: 'success' },
      React.createElement(
        ControlLabel,
        null,
        'Input with success'
      ),
      React.createElement(FormControl, { type: 'text' }),
      React.createElement(
        HelpBlock,
        null,
        'Help text with validation state.'
      )
    ),
    React.createElement(
      FormGroup,
      { controlId: 'formValidationWarning1', validationState: 'warning' },
      React.createElement(
        ControlLabel,
        null,
        'Input with warning'
      ),
      React.createElement(FormControl, { type: 'text' })
    ),
    React.createElement(
      FormGroup,
      { controlId: 'formValidationError1', validationState: 'error' },
      React.createElement(
        ControlLabel,
        null,
        'Input with error'
      ),
      React.createElement(FormControl, { type: 'text' })
    ),
    React.createElement(
      FormGroup,
      { controlId: 'formValidationNull', validationState: null },
      React.createElement(
        ControlLabel,
        null,
        'Input with no validation state'
      ),
      React.createElement(FormControl, { type: 'text' })
    ),
    React.createElement(
      FormGroup,
      { controlId: 'formValidationSuccess2', validationState: 'success' },
      React.createElement(
        ControlLabel,
        null,
        'Input with success and feedback icon'
      ),
      React.createElement(FormControl, { type: 'text' }),
      React.createElement(FormControl.Feedback, null)
    ),
    React.createElement(
      FormGroup,
      { controlId: 'formValidationWarning2', validationState: 'warning' },
      React.createElement(
        ControlLabel,
        null,
        'Input with warning and feedback icon'
      ),
      React.createElement(FormControl, { type: 'text' }),
      React.createElement(FormControl.Feedback, null)
    ),
    React.createElement(
      FormGroup,
      { controlId: 'formValidationError2', validationState: 'error' },
      React.createElement(
        ControlLabel,
        null,
        'Input with error and feedback icon'
      ),
      React.createElement(FormControl, { type: 'text' }),
      React.createElement(FormControl.Feedback, null)
    ),
    React.createElement(
      FormGroup,
      { controlId: 'formValidationSuccess3', validationState: 'success' },
      React.createElement(
        ControlLabel,
        null,
        'Input with success and custom feedback icon'
      ),
      React.createElement(FormControl, { type: 'text' }),
      React.createElement(
        FormControl.Feedback,
        null,
        React.createElement(Glyphicon, { glyph: 'music' })
      )
    ),
    React.createElement(
      FormGroup,
      { controlId: 'formValidationWarning3', validationState: 'warning' },
      React.createElement(
        ControlLabel,
        null,
        'Input group with warning'
      ),
      React.createElement(
        InputGroup,
        null,
        React.createElement(
          InputGroup.Addon,
          null,
          '@'
        ),
        React.createElement(FormControl, { type: 'text' })
      ),
      React.createElement(FormControl.Feedback, null)
    ),
    React.createElement(
      Form,
      { componentClass: 'fieldset', horizontal: true },
      React.createElement(
        FormGroup,
        { controlId: 'formValidationError3', validationState: 'error' },
        React.createElement(
          Col,
          { componentClass: ControlLabel, xs: 3 },
          'Input with error'
        ),
        React.createElement(
          Col,
          { xs: 9 },
          React.createElement(FormControl, { type: 'text' }),
          React.createElement(FormControl.Feedback, null)
        )
      ),
      React.createElement(
        FormGroup,
        { controlId: 'formValidationSuccess4', validationState: 'success' },
        React.createElement(
          Col,
          { componentClass: ControlLabel, xs: 3 },
          'Input group with success'
        ),
        React.createElement(
          Col,
          { xs: 9 },
          React.createElement(
            InputGroup,
            null,
            React.createElement(
              InputGroup.Addon,
              null,
              '@'
            ),
            React.createElement(FormControl, { type: 'text' })
          ),
          React.createElement(FormControl.Feedback, null)
        )
      )
    ),
    React.createElement(
      Form,
      { componentClass: 'fieldset', inline: true },
      React.createElement(
        FormGroup,
        { controlId: 'formValidationWarning4', validationState: 'warning' },
        React.createElement(
          ControlLabel,
          null,
          'Input with warning'
        ),
        ' ',
        React.createElement(FormControl, { type: 'text' }),
        React.createElement(FormControl.Feedback, null)
      ),
      ' ',
      React.createElement(
        FormGroup,
        { controlId: 'formValidationError4', validationState: 'error' },
        React.createElement(
          ControlLabel,
          null,
          'Input group with error'
        ),
        ' ',
        React.createElement(
          InputGroup,
          null,
          React.createElement(
            InputGroup.Addon,
            null,
            '@'
          ),
          React.createElement(FormControl, { type: 'text' })
        ),
        React.createElement(FormControl.Feedback, null)
      )
    ),
    React.createElement(
      Checkbox,
      { validationState: 'success' },
      'Checkbox with success'
    ),
    React.createElement(
      Radio,
      { validationState: 'warning' },
      'Radio with warning'
    ),
    React.createElement(
      Checkbox,
      { validationState: 'error' },
      'Checkbox with error'
    ),
    React.createElement(
      FormGroup,
      { validationState: 'success' },
      React.createElement(
        Checkbox,
        { inline: true },
        'Checkbox'
      ),
      ' ',
      React.createElement(
        Checkbox,
        { inline: true },
        'with'
      ),
      ' ',
      React.createElement(
        Checkbox,
        { inline: true },
        'success'
      )
    )
  )
), '<Form> <FormGroup> <ControlLabel ... /> <FormControl /> <HelpBlock /> </FormGroup> </Form>');

const _sampleImageUrl1 = "https://react-bootstrap.github.io/assets/thumbnail.png";
const _sampleImageUrl2 = "https://react-bootstrap.github.io/assets/thumbnaildiv.png";

_pushExampleDom('Images, Thumbnails', React.createElement(
  'article',
  null,
  React.createElement(
    'h3',
    null,
    'Image Shapes'
  ),
  React.createElement(
    Grid,
    null,
    React.createElement(
      Row,
      null,
      React.createElement(
        Col,
        { md: 4 },
        React.createElement(Image, { src: _sampleImageUrl1, rounded: true })
      ),
      React.createElement(
        Col,
        { md: 4 },
        React.createElement(Image, { src: _sampleImageUrl1, circle: true })
      ),
      React.createElement(
        Col,
        { md: 4 },
        React.createElement(Image, { src: _sampleImageUrl1, thumbnail: true })
      )
    )
  ),
  React.createElement(
    'h3',
    null,
    'Thumbnails'
  ),
  React.createElement(
    Grid,
    null,
    React.createElement(
      Row,
      null,
      React.createElement(
        Col,
        { xs: 6, md: 3 },
        React.createElement(Thumbnail, { href: '#', alt: '171x180', src: _sampleImageUrl1 })
      ),
      React.createElement(
        Col,
        { xs: 6, md: 3 },
        React.createElement(Thumbnail, { href: '#', alt: '171x180', src: _sampleImageUrl1 })
      ),
      React.createElement(
        Col,
        { xs: 6, md: 3 },
        React.createElement(Thumbnail, { href: '#', alt: '171x180', src: _sampleImageUrl1 })
      )
    )
  ),
  React.createElement(
    'h3',
    null,
    'Thumbnails with Divider'
  ),
  React.createElement(
    Grid,
    null,
    React.createElement(
      Row,
      null,
      React.createElement(
        Col,
        { md: 4 },
        React.createElement(
          Thumbnail,
          { src: _sampleImageUrl2, alt: '242x200' },
          React.createElement(
            'h3',
            null,
            'Thumbnail label'
          ),
          React.createElement(
            'p',
            null,
            'Description'
          ),
          React.createElement(
            'p',
            null,
            React.createElement(
              Button,
              { bsStyle: 'primary' },
              'Button'
            ),
            '\xA0',
            React.createElement(
              Button,
              { bsStyle: 'default' },
              'Button'
            )
          )
        )
      ),
      React.createElement(
        Col,
        { md: 4 },
        React.createElement(
          Thumbnail,
          { src: _sampleImageUrl2, alt: '242x200' },
          React.createElement(
            'h3',
            null,
            'Thumbnail label'
          ),
          React.createElement(
            'p',
            null,
            'Description'
          ),
          React.createElement(
            'p',
            null,
            React.createElement(
              Button,
              { bsStyle: 'primary' },
              'Button'
            ),
            '\xA0',
            React.createElement(
              Button,
              { bsStyle: 'default' },
              'Button'
            )
          )
        )
      ),
      React.createElement(
        Col,
        { md: 4 },
        React.createElement(
          Thumbnail,
          { src: _sampleImageUrl2, alt: '242x200' },
          React.createElement(
            'h3',
            null,
            'Thumbnail label'
          ),
          React.createElement(
            'p',
            null,
            'Description'
          ),
          React.createElement(
            'p',
            null,
            React.createElement(
              Button,
              { bsStyle: 'primary' },
              'Button'
            ),
            '\xA0',
            React.createElement(
              Button,
              { bsStyle: 'default' },
              'Button'
            )
          )
        )
      )
    )
  )
), '<Image src="..." alt="" /> or <Thumbnail src="..." alt="" />');

// icons
let iconList = ['asterisk', 'plus', 'euro', 'eur', 'minus', 'cloud', 'envelope', 'pencil', 'glass', 'music', 'search', 'heart', 'star', 'star-empty', 'user', 'film', 'th-large', 'th', 'th-list', 'ok', 'remove', 'zoom-in', 'zoom-out', 'off', 'signal', 'cog', 'trash', 'home', 'file', 'time', 'road', 'download-alt', 'download', 'upload', 'inbox', 'play-circle', 'repeat', 'refresh', 'list-alt', 'lock', 'flag', 'headphones', 'volume-off', 'volume-down', 'volume-up', 'qrcode', 'barcode', 'tag', 'tags', 'book', 'bookmark', 'print', 'camera', 'font', 'bold', 'italic', 'text-height', 'text-width', 'align-left', 'align-center', 'align-right', 'align-justify', 'list', 'indent-left', 'indent-right', 'facetime-video', 'picture', 'map-marker', 'adjust', 'tint', 'edit', 'share', 'check', 'move', 'step-backward', 'fast-backward', 'backward', 'play', 'pause', 'stop', 'forward', 'fast-forward', 'step-forward', 'eject', 'chevron-left', 'chevron-right', 'plus-sign', 'minus-sign', 'remove-sign', 'ok-sign', 'question-sign', 'info-sign', 'screenshot', 'remove-circle', 'ok-circle', 'ban-circle', 'arrow-left', 'arrow-right', 'arrow-up', 'arrow-down', 'share-alt', 'resize-full', 'resize-small', 'exclamation-sign', 'gift', 'leaf', 'fire', 'eye-open', 'eye-close', 'warning-sign', 'plane', 'calendar', 'random', 'comment', 'magnet', 'chevron-up', 'chevron-down', 'retweet', 'shopping-cart', 'folder-close', 'folder-open', 'resize-vertical', 'resize-horizontal', 'hdd', 'bullhorn', 'bell', 'certificate', 'thumbs-up', 'thumbs-down', 'hand-right', 'hand-left', 'hand-up', 'hand-down', 'circle-arrow-right', 'circle-arrow-left', 'circle-arrow-up', 'circle-arrow-down', 'globe', 'wrench', 'tasks', 'filter', 'briefcase', 'fullscreen', 'dashboard', 'paperclip', 'heart-empty', 'link', 'phone', 'pushpin', 'usd', 'gbp', 'sort', 'sort-by-alphabet', 'sort-by-alphabet-alt', 'sort-by-order', 'sort-by-order-alt', 'sort-by-attributes', 'sort-by-attributes-alt', 'unchecked', 'expand', 'collapse-down', 'collapse-up', 'log-in', 'flash', 'log-out', 'new-window', 'record', 'save', 'open', 'saved', 'import', 'export', 'send', 'floppy-disk', 'floppy-saved', 'floppy-remove', 'floppy-save', 'floppy-open', 'credit-card', 'transfer', 'cutlery', 'header', 'compressed', 'earphone', 'phone-alt', 'tower', 'stats', 'sd-video', 'hd-video', 'subtitles', 'sound-stereo', 'sound-dolby', 'sound-5-1', 'sound-6-1', 'sound-7-1', 'copyright-mark', 'registration-mark', 'cloud-download', 'cloud-upload', 'tree-conifer', 'tree-deciduous', 'cd', 'save-file', 'open-file', 'level-up', 'copy', 'paste', 'alert', 'equalizer', 'king', 'queen', 'pawn', 'bishop', 'knight', 'baby-formula', 'tent', 'blackboard', 'bed', 'apple', 'erase', 'hourglass', 'lamp', 'duplicate', 'piggy-bank', 'scissors', 'bitcoin', 'btc', 'xbt', 'yen', 'jpy', 'ruble', 'rub', 'scale', 'ice-lolly', 'ice-lolly-tasted', 'education', 'option-horizontal', 'option-vertical', 'menu-hamburger', 'modal-window', 'oil', 'grain', 'sunglasses', 'text-size', 'text-color', 'text-background', 'object-align-top', 'object-align-bottom', 'object-align-horizontal', 'object-align-left', 'object-align-vertical', 'object-align-right', 'triangle-right', 'triangle-left', 'triangle-bottom', 'triangle-top', 'console', 'superscript', 'subscript', 'menu-left', 'menu-right', 'menu-down', 'menu-up'];

;
_pushExampleDom('Glyphicon', React.createElement(
  'article',
  null,
  iconList.map(icon => React.createElement(
    'div',
    { className: 'example-icon-wrapper', key: icon },
    React.createElement(
      Button,
      { className: 'some-margin' },
      React.createElement(Glyphicon, { glyph: icon })
    ),
    React.createElement(
      'span',
      null,
      icon
    )
  ))
), '<Button>   <Glyphicon glyph="..." />   </Button>');

// modal examples
const ExampleModal = createReactClass({
  displayName: 'ExampleModal',

  getInitialState() {
    return { showModal: false };
  },

  close() {
    this.setState({ showModal: false });
  },

  open() {
    this.setState({ showModal: true });
  },

  render() {
    const popover = React.createElement(
      Popover,
      { id: 'modal-popover', title: 'popover' },
      'very popover. such engagement'
    );
    const tooltip = React.createElement(
      Tooltip,
      { id: 'modal-tooltip' },
      'wow.'
    );

    return React.createElement(
      'div',
      null,
      React.createElement(
        'p',
        null,
        'Click to get the full Modal experience!'
      ),
      React.createElement(
        Button,
        {
          bsStyle: 'primary',
          onClick: this.open
        },
        'Launch demo modal'
      ),
      React.createElement(
        Modal,
        { show: this.state.showModal, onHide: this.close },
        React.createElement(
          Modal.Header,
          { closeButton: true },
          React.createElement(
            Modal.Title,
            null,
            'Modal heading'
          )
        ),
        React.createElement(
          Modal.Body,
          null,
          React.createElement(
            'h4',
            null,
            'Text in a modal'
          ),
          React.createElement(
            'p',
            null,
            'Duis mollis, est non commodo luctus, nisi erat porttitor ligula.'
          ),
          React.createElement(
            'h4',
            null,
            'Popover in a modal'
          ),
          React.createElement(
            'p',
            null,
            'there is a ',
            React.createElement(
              OverlayTrigger,
              { overlay: popover },
              React.createElement(
                'a',
                { href: '#' },
                'popover'
              )
            ),
            ' here'
          ),
          React.createElement(
            'h4',
            null,
            'Tooltips in a modal'
          ),
          React.createElement(
            'p',
            null,
            'there is a ',
            React.createElement(
              OverlayTrigger,
              { overlay: tooltip },
              React.createElement(
                'a',
                { href: '#' },
                'tooltip'
              )
            ),
            ' here'
          ),
          React.createElement('hr', null),
          React.createElement(
            'h4',
            null,
            'Overflowing text to show scroll behavior'
          ),
          React.createElement(
            'p',
            null,
            'Cras mattis consectetur purus sit amet fermentum. Cras justo odio, dapibus ac facilisis in, egestas eget quam. Morbi leo risus, porta ac consectetur ac, vestibulum at eros.'
          ),
          React.createElement(
            'p',
            null,
            'Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor.'
          ),
          React.createElement(
            'p',
            null,
            'Aenean lacinia bibendum nulla sed consectetur. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Donec sed odio dui. Donec ullamcorper nulla non metus auctor fringilla.'
          ),
          React.createElement(
            'p',
            null,
            'Aenean lacinia bibendum nulla sed consectetur. Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Donec sed odio dui. Donec ullamcorper nulla non metus auctor fringilla.'
          )
        ),
        React.createElement(
          Modal.Footer,
          null,
          React.createElement(
            Button,
            { onClick: this.close },
            'Close'
          )
        )
      )
    );
  }
});

_pushExampleDom('Modal', React.createElement(
  'article',
  null,
  React.createElement(ExampleModal, null)
), '<Modal show={this.state.showModal} onHide={this.close}> ... </Modal>');

//popover
const popoverLeft = React.createElement(
  Popover,
  { id: 'popover-positioned-left', title: 'Popover left' },
  'left tooltip'
);

const popoverTop = React.createElement(
  Popover,
  { id: 'popover-positioned-top', title: 'Popover top' },
  'top tooltip'
);

const popoverBottom = React.createElement(
  Popover,
  { id: 'popover-positioned-bottom', title: 'Popover bottom' },
  'bottom tooltip'
);

const popoverRight = React.createElement(
  Popover,
  { id: 'popover-positioned-right', title: 'Popover right' },
  'right tooltip'
);
const ExampleTooltip = createReactClass({
  displayName: 'ExampleTooltip',

  getInitialState() {
    return { show: true };
  },

  toggle() {
    this.setState({ show: !this.state.show });
  },

  render() {
    const sharedProps = {
      show: this.state.show,
      container: this,
      target: () => ReactDom.findDOMNode(this.refs.target)
    };

    return React.createElement(
      'div',
      { style: { height: 100, paddingLeft: 150, position: 'relative' } },
      React.createElement(
        Button,
        { ref: 'target', onClick: this.toggle },
        'Click me!'
      ),
      React.createElement(
        Overlay,
        _extends({}, sharedProps, { placement: 'left' }),
        React.createElement(
          Tooltip,
          { id: 'overload-left' },
          'left Tooltip'
        )
      ),
      React.createElement(
        Overlay,
        _extends({}, sharedProps, { placement: 'top' }),
        React.createElement(
          Tooltip,
          { id: 'overload-top' },
          'top Tooltip'
        )
      ),
      React.createElement(
        Overlay,
        _extends({}, sharedProps, { placement: 'right' }),
        React.createElement(
          Tooltip,
          { id: 'overload-right' },
          'right Tooltip'
        )
      ),
      React.createElement(
        Overlay,
        _extends({}, sharedProps, { placement: 'bottom' }),
        React.createElement(
          Tooltip,
          { id: 'overload-bottom' },
          'bottom Tooltip'
        )
      )
    );
  }
});

_pushExampleDom('Popover (tooltip)', React.createElement(
  'article',
  null,
  React.createElement(
    'h3',
    null,
    'Tooltip'
  ),
  React.createElement(ExampleTooltip, null),
  React.createElement(
    'h3',
    null,
    'Popover'
  ),
  React.createElement(
    ButtonToolbar,
    null,
    React.createElement(
      OverlayTrigger,
      { trigger: ['hover', 'focus'], placement: 'left', overlay: popoverLeft },
      React.createElement(
        Button,
        null,
        'left Popover on Hover'
      )
    ),
    React.createElement(
      OverlayTrigger,
      { trigger: ['hover', 'focus'], placement: 'top', overlay: popoverTop },
      React.createElement(
        Button,
        null,
        'top Popover on Hover'
      )
    ),
    React.createElement(
      OverlayTrigger,
      { trigger: ['hover', 'focus'], placement: 'bottom', overlay: popoverBottom },
      React.createElement(
        Button,
        null,
        'bottom Popover on Hover'
      )
    ),
    React.createElement(
      OverlayTrigger,
      { trigger: ['hover', 'focus'], placement: 'right', overlay: popoverRight },
      React.createElement(
        Button,
        null,
        'right Popover on Hover'
      )
    )
  )
), '<OverlayTrigger trigger="hover|focus|click" placement="left" overlay={popoverLeft}>    <Button>Holy guacamole!</Button>    </OverlayTrigger>');

_pushExampleDom('Tabs - Simple', React.createElement(
  'article',
  null,
  React.createElement(
    'h3',
    null,
    'Simple Tab'
  ),
  React.createElement(
    Tabs,
    { defaultActiveKey: 2, id: 'uncontrolled-tab-example' },
    React.createElement(
      Tab,
      { eventKey: 1, title: 'Tab 1' },
      'Tab 1 content'
    ),
    React.createElement(
      Tab,
      { eventKey: 2, title: 'Tab 2' },
      'Tab 2 content'
    ),
    React.createElement(
      Tab,
      { eventKey: 3, title: 'Tab 3', disabled: true },
      'Tab 3 content'
    )
  )
), '<Tabs> <Tab></Tab> </Tabs>');

_pushExampleDom('Tabs - Complex (More Flexible)', React.createElement(
  'article',
  null,
  React.createElement(
    Tab.Container,
    { id: 'tabs-with-dropdown', defaultActiveKey: 'first' },
    React.createElement(
      Row,
      { className: 'clearfix' },
      React.createElement(
        Col,
        { sm: 12 },
        React.createElement(
          Nav,
          { bsStyle: 'tabs' },
          React.createElement(
            NavItem,
            { eventKey: 'first' },
            'Tab 1'
          ),
          React.createElement(
            NavItem,
            { eventKey: 'second' },
            'Tab 2'
          ),
          React.createElement(
            NavDropdown,
            { eventKey: '3', title: 'Dropdown', id: 'nav-dropdown-within-tab' },
            React.createElement(
              MenuItem,
              { eventKey: '3.1' },
              'Action'
            ),
            React.createElement(
              MenuItem,
              { eventKey: '3.2' },
              'Another action'
            ),
            React.createElement(
              MenuItem,
              { eventKey: '3.3' },
              'Something else here'
            ),
            React.createElement(MenuItem, { divider: true }),
            React.createElement(
              MenuItem,
              { eventKey: '3.4' },
              'Separated link'
            )
          )
        )
      ),
      React.createElement(
        Col,
        { sm: 12 },
        React.createElement(
          Tab.Content,
          { animation: true },
          React.createElement(
            Tab.Pane,
            { eventKey: 'first' },
            'Tab 1 content'
          ),
          React.createElement(
            Tab.Pane,
            { eventKey: 'second' },
            'Tab 2 content'
          ),
          React.createElement(
            Tab.Pane,
            { eventKey: '3.1' },
            'Tab 3.1 content'
          ),
          React.createElement(
            Tab.Pane,
            { eventKey: '3.2' },
            'Tab 3.2 content'
          ),
          React.createElement(
            Tab.Pane,
            { eventKey: '3.3' },
            'Tab 3.3 content'
          ),
          React.createElement(
            Tab.Pane,
            { eventKey: '3.4' },
            'Tab 3.4 content'
          )
        )
      )
    )
  )
), '<Tabs> <Tab></Tab> </Tabs>');

const PaginationBasic = React.createClass({
  displayName: 'PaginationBasic',

  getInitialState() {
    return {
      activePage: 1
    };
  },

  handleSelect(eventKey) {
    this.setState({
      activePage: eventKey
    });
  },

  render() {
    return React.createElement(
      'div',
      null,
      React.createElement(Pagination, {
        bsSize: 'large',
        items: 10,
        activePage: this.state.activePage,
        onSelect: this.handleSelect }),
      React.createElement('br', null),
      React.createElement(Pagination, {
        bsSize: 'medium',
        items: 10,
        activePage: this.state.activePage,
        onSelect: this.handleSelect }),
      React.createElement('br', null),
      React.createElement(Pagination, {
        bsSize: 'small',
        items: 10,
        activePage: this.state.activePage,
        onSelect: this.handleSelect })
    );
  }
});

_pushExampleDom('Pagination', React.createElement(
  'article',
  null,
  React.createElement(
    'h3',
    null,
    'DEFAULT'
  ),
  React.createElement(
    'div',
    null,
    React.createElement(ProgressBar, { bsStyle: 'success', now: 40 }),
    React.createElement(ProgressBar, { bsStyle: 'info', now: 20 }),
    React.createElement(ProgressBar, { bsStyle: 'warning', now: 60 }),
    React.createElement(ProgressBar, { bsStyle: 'danger', now: 80 })
  ),
  React.createElement(
    'h3',
    null,
    'Striped'
  ),
  React.createElement(
    'div',
    null,
    React.createElement(ProgressBar, { striped: true, bsStyle: 'success', now: 40 }),
    React.createElement(ProgressBar, { striped: true, bsStyle: 'info', now: 20 }),
    React.createElement(ProgressBar, { striped: true, bsStyle: 'warning', now: 60 }),
    React.createElement(ProgressBar, { striped: true, bsStyle: 'danger', now: 80 })
  ),
  React.createElement(
    'h3',
    null,
    'Animated'
  ),
  React.createElement(
    'div',
    null,
    React.createElement(ProgressBar, { active: true, now: 45 })
  ),
  React.createElement(
    'h3',
    null,
    'Stacked'
  ),
  React.createElement(
    'div',
    null,
    React.createElement(
      ProgressBar,
      null,
      React.createElement(ProgressBar, { striped: true, bsStyle: 'success', now: 35, key: 1 }),
      React.createElement(ProgressBar, { bsStyle: 'warning', now: 20, key: 2 }),
      React.createElement(ProgressBar, { active: true, bsStyle: 'danger', now: 10, key: 3 })
    )
  )
), '<Pagination />');

_pushExampleDom('Pagination', React.createElement(
  'article',
  null,
  React.createElement(PaginationBasic, null)
), '<Pagination />');

//////////////////////////////////
// finally render the examples...
//////////////////////////////////
//render
ReactDom.render(React.createElement(
  'div',
  null,
  _getExampleDomList()
), mountNode);